"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = require("@angular/common");
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var angular_1 = require("@ui-model/angular");
var calendar_component_1 = require("./components/calendar/calendar.component");
var date_picker_component_1 = require("./components/date-picker/date-picker.component");
var field_error_component_1 = require("./components/field-error/field-error.component");
var form_array_component_1 = require("./components/form-array/form-array.component");
var form_control_component_1 = require("./components/form-control/form-control.component");
var form_group_component_1 = require("./components/form-group/form-group.component");
var modal_component_1 = require("./components/modal/modal.component");
var multi_select_box_component_1 = require("./components/multi-select-box/multi-select-box.component");
var pagination_component_1 = require("./components/pagination/pagination.component");
var panel_component_1 = require("./components/panel/panel.component");
var radio_group_within_form_component_1 = require("./components/radio-group-within-form/radio-group-within-form.component");
var radio_group_component_1 = require("./components/radio-group/radio-group.component");
var select_box_component_1 = require("./components/select-box/select-box.component");
var table_component_1 = require("./components/table/table.component");
var tooltip_component_1 = require("./components/tooltip/tooltip.component");
var tree_node_component_1 = require("./components/tree-node/tree-node.component");
var type_ahead_component_1 = require("./components/type-ahead/type-ahead.component");
var field_css_pipe_1 = require("./pipes/field-css.pipe");
var UiModelBootstrapModule = (function () {
    function UiModelBootstrapModule() {
    }
    UiModelBootstrapModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_1.CommonModule,
                        forms_1.FormsModule,
                        forms_1.ReactiveFormsModule,
                        angular_1.UiModelModule,
                    ],
                    declarations: [
                        modal_component_1.ModalComponent,
                        pagination_component_1.PaginationComponent,
                        panel_component_1.PanelComponent,
                        radio_group_component_1.RadioGroupComponent,
                        radio_group_within_form_component_1.RadioGroupWithinFormComponent,
                        table_component_1.TableComponent,
                        tree_node_component_1.TreeNodeComponent,
                        calendar_component_1.CalendarComponent,
                        type_ahead_component_1.TypeAheadComponent,
                        tooltip_component_1.TooltipComponent,
                        field_error_component_1.FieldErrorComponent,
                        form_group_component_1.FormGroupComponent,
                        form_array_component_1.FormArrayComponent,
                        form_control_component_1.FormControlComponent,
                        date_picker_component_1.DatePickerComponent,
                        select_box_component_1.SelectBoxComponent,
                        multi_select_box_component_1.MultiSelectBoxComponent,
                        field_css_pipe_1.FieldCssPipe,
                    ],
                    exports: [
                        angular_1.UiModelModule,
                        modal_component_1.ModalComponent,
                        pagination_component_1.PaginationComponent,
                        panel_component_1.PanelComponent,
                        radio_group_component_1.RadioGroupComponent,
                        radio_group_within_form_component_1.RadioGroupWithinFormComponent,
                        table_component_1.TableComponent,
                        tree_node_component_1.TreeNodeComponent,
                        calendar_component_1.CalendarComponent,
                        type_ahead_component_1.TypeAheadComponent,
                        tooltip_component_1.TooltipComponent,
                        field_error_component_1.FieldErrorComponent,
                        form_group_component_1.FormGroupComponent,
                        form_array_component_1.FormArrayComponent,
                        form_control_component_1.FormControlComponent,
                        date_picker_component_1.DatePickerComponent,
                        select_box_component_1.SelectBoxComponent,
                        field_css_pipe_1.FieldCssPipe,
                    ],
                },] },
    ];
    /** @nocollapse */
    UiModelBootstrapModule.ctorParameters = function () { return []; };
    return UiModelBootstrapModule;
}());
exports.UiModelBootstrapModule = UiModelBootstrapModule;
__export(require("./components/modal/modal.component"));
__export(require("./components/pagination/pagination.component"));
__export(require("./components/panel/panel.component"));
__export(require("./components/radio-group/radio-group.component"));
__export(require("./components/radio-group-within-form/radio-group-within-form.component"));
__export(require("./components/table/table.component"));
__export(require("./components/tree-node/tree-node.component"));
__export(require("./components/calendar/calendar.component"));
__export(require("./components/type-ahead/type-ahead.component"));
__export(require("./components/tooltip/tooltip.component"));
__export(require("./components/field-error/field-error.component"));
__export(require("./components/form-group/form-group.component"));
__export(require("./components/form-array/form-array.component"));
__export(require("./components/form-control/form-control.component"));
__export(require("./components/date-picker/date-picker.component"));
__export(require("./components/select-box/select-box.component"));
__export(require("./pipes/field-css.pipe"));
//# sourceMappingURL=ui-model-bootstrap.module.js.map